
From: Olaf Hering <olh@suse.de>

The alsa driver for powermacs requires i2c support.

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/ppc/Kconfig |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN sound/ppc/Kconfig~ppc32-snd-powermac-requires-i2c sound/ppc/Kconfig
--- 25/sound/ppc/Kconfig~ppc32-snd-powermac-requires-i2c	2004-07-26 22:20:10.331596688 -0700
+++ 25-akpm/sound/ppc/Kconfig	2004-07-26 22:20:10.334596232 -0700
@@ -3,9 +3,12 @@
 menu "ALSA PowerMac devices"
 	depends on SND!=n && PPC
 
+comment "ALSA PowerMac requires I2C"
+	depends on SND && I2C=n
+
 config SND_POWERMAC
 	tristate "PowerMac (AWACS, DACA, Burgundy, Tumbler, Keywest)"
-	depends on SND
+	depends on SND && I2C
 	select SND_PCM
 
 endmenu
_
